%define        majver   	%(echo %version | cut -d. -f 1-2)
Name:          nautilus-image-converter
Version:       0.4.0
##0.3.0 0.2.1
Release:       1mamba
Summary:       Nautilus extension to mass resize or rotate images.
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.bitron.ch/software/nautilus-image-converter.php
Source:        https://gitlab.gnome.org/coreyberla/nautilus-image-converter.git/%{version}/%{name}-%{version}.tar.bz2
#Source:        http://ftp.acc.umu.se/pub/GNOME/sources/%{name}/%{majver}/%{name}-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libnautilus-extension-devel
## AUTOBUILDREQ-END
BuildRequires:  ImageMagick-devel

%description
Nautilus extension to mass resize or rotate images.

Details	
ImageResizer	
 * Adds a "Resize Images..." menu item to the context menu of all images. 
This opens a dialog where you set the desired image size and file name. 
A click on "Resize" finally resizes the image(s) using ImageMagick's convert tool.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/nautilus/extensions-*/libnautilus-image-converter.so
%dir %{_datadir}/nautilus-image-converter
%{_datadir}/nautilus-image-converter/nautilus-image-*.ui
%doc AUTHORS COPYING
#ChangeLog NEWS

%changelog
* Fri Dec 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-1mamba
- update to 0.4.0

* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 0.3.0_20130901git-1mamba
- automatic rebuild by autodist

* Sat Jun 14 2008 gil <puntogil@libero.it> 0.3.0-1mamba
- package created by autospec
